Summary: 	D-BUS message bus
Name: 		dbus
Version: 	0.33
Release: 	1 
URL: 		http://www.freedesktop.org/software/dbus/
Source0: 	%{name}-%{version}.tar.gz
Patch0:		dbus.diff
License: 	AFL/GPL
Group: 		Libraries
BuildRoot: 	%{_tmppath}/%{name}-root
Requires: 	qt glib2
BuildRequires:  qt-devel glib2-devel

%description
D-BUS is a system for sending messages between applications. It is
used both for the systemwide message bus service, and as a
per-user-login-session messaging facility.

#useradd messagebus

The command to start it correctly for our purposes is:
#dbus-daemon --system

Now go build HAL once started.

%package 	devel
Summary: 	Libraries and headers for D-BUS
Group: 		Development

%description 	devel
Headers and static libraries for D-BUS.

%prep
%setup -q
%patch0 -p0

%build
%configure \
    --enable-qt \
    --enable-glib \
    --with-system-pid-file=/var/run/dbus.pid \
    --disable-gtk \
    --disable-doxygen-docs \
    --enable-checks \
    --enable-tests \
    --enable-verbose-mode \
    --disable-asserts \
    --enable-shared \
    --enable-static

#### Fix user to run the system bus as
perl -pi -e 's@<user>[a-z]+</user>@<user>messagebus</user>@g' bus/system.conf*
make

%install
rm -rf %{buildroot}
%makeinstall

strip -R.comment -R.note $RPM_BUILD_ROOT/bin/* 2>/dev/null || : 
strip -R.comment -R.note $RPM_BUILD_ROOT/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/lib/*.so 2>/dev/null || :

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_libdir}/*.so.*
%{_libdir}/*.so
%{_libdir}/*.la
%{_sysconfdir}
%{_localstatedir}
%{_bindir}
%{_datadir}
%{_mandir}

%files devel
%defattr(-,root,root)
%{_libdir}/dbus-1.0
%{_libdir}/*.a
%{_libdir}/pkgconfig
%{_includedir}/*
